Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{id}
/
restore
Restore analysis
curl --request POST \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{id}/restore \
  --header 'Authorization: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "brand": "<string>",
  "category": "<string>",
  "countries": [
    "<string>"
  ],
  "competitors": [
    "<string>"
  ],
  "personas": [
    "<string>"
  ],
  "attributes": [
    "<string>"
  ],
  "is_archived": true,
  "archived_at": "2023-11-07T05:31:56Z",
  "active_clustering": true,
  "collect_end_date": "2023-12-25",
  "llm_providers": [
    "<string>"
  ],
  "llm_provider_versions": "<unknown>",
  "language": "ar",
  "is_boost": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

id
string<uuid>
required

A UUID string identifying this analysis.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Response

200 - application/json
id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
created_by
string<uuid>
required
workspace_id
string<uuid>
required
name
string
required
Maximum string length: 255
brand
string
required
Maximum string length: 255
category
string
required
Maximum string length: 255
countries
string[]
Maximum string length: 255
competitors
string[]
Maximum string length: 255
personas
string[]
Maximum string length: 255
attributes
string[]
Maximum string length: 255
is_archived
boolean
archived_at
string<date-time> | null
active_clustering
boolean
collect_end_date
string<date> | null
llm_providers
string[]
Maximum string length: 255
llm_provider_versions
any
language
enum<string>
  • ar - ar
  • da - da
  • de - de
  • en - en
  • es - es
  • eu - eu
  • fi - fi
  • fil - fil
  • fr - fr
  • he - he
  • hi - hi
  • hu - hu
  • id - id
  • it - it
  • ja - ja
  • ko - ko
  • nl - nl
  • pl - pl
  • pt - pt
  • ro - ro
  • sv - sv
  • th - th
  • tr - tr
  • ur - ur
  • vi - vi
  • zh - zh
  • zh-TW - zh TW
Available options:
ar,
da,
de,
en,
es,
eu,
fi,
fil,
fr,
he,
hi,
hu,
id,
it,
ja,
ko,
nl,
pl,
pt,
ro,
sv,
th,
tr,
ur,
vi,
zh,
zh-TW,
is_boost
boolean